<?php
// +---------------------------------------------------------------------------------------+
// | TenderSystem                                                                          |
// +---------------------------------------------------------------------------------------+
// | The contents of this file are subject to the TenderSystem Public License Version 1.1  |
// | ("License"); you may not use this file except in compliance with the License. You may |
// | obtain a copy of the License at http://www.tendersystem.com/tpl/                      |
// |                                                                                       |
// | Software distributed under the License is distributed on an "AS IS" basis, WITHOUT    |
// | WARRANTY OF ANY KIND, either express or implied. See the License for the specific     |
// | language governing rights and limitations under the License.                          |
// |                                                                                       |
// | All copies of the Covered Code must include the "Powered by TenderSystem" logo and    |
// | ValueCard copyright notice on every user interface screen and in every outgoing       |
// | email in the same form as they appear in the distribution.                            |
// |                                                                                       |
// | The Original Code is: TenderSystem                                                    |
// | The Initial Developer of the Original Code is ValueCard (Pty) Limited.                |
// | Portions created by ValueCard are Copyright (C) 2002 ValueCard (Pty) Limited.         |
// | All Rights Reserved.                                                                  |
// | Contributor(s): __________________.                                                   |
// +---------------------------------------------------------------------------------------+

/**
* Menu frame generator
* @package TenderSystem
* @subpackage generic
* @copyright Copyright &copy; 2002, ValueCard (Pty) Ltd
* @license http://www.tendersystem.com/tpl/ TenderSystem Public License
* @version 
*/

// load required files
require(getcwd().'/modules/generic/generic.php');
// reverse sort for subscribers
$sort = $cfg['menu']['sort'][$_SESSION['ts_classification']];
// set language
if($_SESSION['ts_lang']) {
	$language = $_SESSION['ts_lang'];
} elseif($cfg['language']) {
	$language = $cfg['language'];
} else {
	$language = "en";
}
// determine if menu must be generated dynamically or from cache
if($cfg['menu']['cache'] && $cfg['installed']) {
	if($_SESSION['ts_id']) {
		$login = "on";	
	} else {
		$login = "off";
	}
	$cache_file = getcwd()."/modules/menu/cache/menu_".$language."_".$_SESSION['ts_classification']."_".$_SESSION['ts_permission']."_".$login;
	if(file_exists($cache_file) && is_readable($cache_file)) {
		$cache = file_get_contents($cache_file);
		$params = unserialize($cache);	
	} else {
		// create cache file
		$fp = fopen($cache_file, "w+");
		// find menu items dynamically
		$params = link_find("top","",$language,$cfg);
		ksort($params['top']);
		// arrange
		if($sort) {
			$sort($params['middle']);
		}
		$cache = serialize($params);
		// write cache to file
		if($fp) {
			fwrite($fp,$cache,strlen($cache));
			fclose($fp);
		}
	}
} elseif($cfg['installed']) {
	// find menu items dynamically
	$params = link_find("top","",$language,$cfg);
	// arrange
	ksort($params['top']);
	if($sort) {
		$sort($params['middle']);
	}
}
// set that footer must not be displayed
$cfg['hide_footer'] = TRUE;
// generate and display the xml
xml_generator('menu','menu','',$params,$cfg);
?>